Bug 983970 - How to do an upgrade to EAP-5.2.0 is missing for all supported ways
How to do an upgrade to EAP-5.2.0 is missing for all supported ways
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Installation_Guide (Show other bugs)
5.2.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Scott Mumford
Katerina Novotna
: Documentation, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 08:24 EDT by Pavel Janousek
Modified: 2015-04-23 20:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-23 20:54:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-07-12 08:24:49 EDT
Document URL: 
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Installation_Guide/index.html

Section Number and Name: 

Describe the issue: 
Chapter which describes how to upgrade from the next last EAP version to version 5.2.0 is missing for all supported ways - ZIP, RPM.

There is only chapter 12. JBoss Enterprise Application Platform Pre-upgrade Test Guidelines, but it doesn't cover all needed steps, moreover it is valid for RPM way only
Comment 1 Scott Mumford 2014-04-07 00:49:30 EDT
Pavel,

Just to confirm; the only upgrade method missing is the ZIP method? You list ZIP and RPM as the methods, and as you point out, chapter 12 covers RPM upgrades.

Further; Is the ZIP upgrade as simple as backing-up custom config files and unzipping an updated EAP distribution?
Comment 2 Pavel Janousek 2014-04-07 02:37:03 EDT
Chapter 12. contains only *Pre-upgrade Test Guidelines*, it can't be taken as RPM upgrade description.

ZIP upgrade should be the same as in EAP6 I think.

Note You need to log in before you can comment on or make changes to this bug.